# OgreTextureUnitState.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreBlendMode.h"`
`#include "OgreMatrix4.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreString.h"`
`#include "OgreTexture.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::TextureUnitState
| Class representing the state of a single texture unit during a Pass of a Technique, of a Material. More...
struct | Ogre::TextureUnitState::UVWAddressingMode
| Texture addressing mode for each texture coordinate. More...
struct | Ogre::TextureUnitState::TextureEffect
| Internal structure defining a texture effect. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:06 2008